#-------------------------------------------------------------------------------
# ============LICENSE_START=======================================================
#  Copyright (C) 2021 Nordix Foundation.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================
#-------------------------------------------------------------------------------

#
# Docker file to build an image that runs the CLAMP ACM runtime on Java 11 or better in alpine
#
FROM onap/policy-jre-alpine:2.4.3

LABEL maintainer="Policy Team"

ARG POLICY_LOGS=/var/log/onap/policy/clamp

ENV POLICY_LOGS=$POLICY_LOGS
ENV POLICY_HOME=$POLICY_HOME/clamp

RUN mkdir -p $POLICY_LOGS $POLICY_HOME $POLICY_HOME/bin && \
    chown -R policy:policy $POLICY_HOME $POLICY_LOGS && \
    mkdir /packages
COPY /maven/lib/policy-clamp-runtime-acm.tar.gz /packages

RUN tar xvfz /packages/policy-clamp-runtime-acm.tar.gz --directory $POLICY_HOME && \
    rm /packages/policy-clamp-runtime-acm.tar.gz

WORKDIR $POLICY_HOME
COPY acm-runtime.sh  bin/.
COPY /maven/policy-clamp-runtime-acm.jar /app/app.jar

RUN chown -R policy:policy * && \
    chmod 755 bin/*.sh && \
    chown -R policy:policy /app

EXPOSE 6969

USER policy
WORKDIR $POLICY_HOME/bin
ENTRYPOINT [ "./acm-runtime.sh" ]
